Bug 1426622 - synctex.pc contains buildroot path instead of /usr
Summary: synctex.pc contains buildroot path instead of /usr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-base
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1650906 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-24 13:30 UTC by Edward Sheldrake
Modified: 2018-11-28 02:42 UTC (History)
4 users (show)

Fixed In Version: texlive-base-20180414-19.fc29 texlive-base-20180414-28.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 02:42:44 UTC
Type: Bug


Attachments (Terms of Use)
The fix (1.69 KB, patch)
2018-08-06 16:19 UTC, Marek Kašík
no flags Details | Diff

Description Edward Sheldrake 2017-02-24 13:30:59 UTC
Description of problem:
The synctex.pc file contains references to the texlive rpm buildroot directory instead of the standard directories where the files are installed on the system. The other pkgconfig files in texlive-lib-devel have the same problem.

Version-Release number of selected component (if applicable):
texlive-lib-devel-2016-32.20160520.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. pkg-config --cflags synctex
2.
3.

Actual results:
-I/builddir/build/BUILD/texlive-2016/source/inst/include/synctex

Expected results:
-I/usr/include/synctex

Additional info:
They've been broken since at least texlive-lib-devel-2015-24.20150728_r37987.fc24.x86_64

Comment 1 Fedora End Of Life 2017-11-16 19:00:35 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-03 08:45:43 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:21:55 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Marek Kašík 2018-08-06 16:18:18 UTC
Hi,

this is still an issue in rawhide. I can not build new evince because of it. I have a fix for the fix in spec file.

Comment 5 Marek Kašík 2018-08-06 16:19:19 UTC
Created attachment 1473664 [details]
The fix

Comment 6 Marek Kašík 2018-08-12 10:29:44 UTC
Hi,

I've pushed the change to texlive-base because I would like to have the evince built before branching. Unfortunately, texlive-base does not build and I think that it is not consequence of the change. I'll have a look at it in the evening.

Regards
Marek

Comment 7 Jan Kurik 2018-08-14 10:57:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 8 Marek Kašík 2018-08-24 14:42:13 UTC
There were 2 issues with building of texlive-base.

The first one was a cyclic dependency on texlive-base (see e.g. https://kojipkgs.fedoraproject.org//packages/texlive-base/20180414/17.fc29/data/logs/x86_64/root.log and look for another version of texlive-base installed).

I don't know exact cause of the second one but it fails when building "xindy" subpackage. It fails just on x86_64 and i686 which are the xindy architectures. It is probably related to this:

"latex: fatal: Could not undump 1 4-byte item(s) from /builddir/.texlive2018/texmf-var/web2c/pdftex/latex.fmt"


Coincidentally the first one is caused by a build require of the "xindy" subpackage so I've disabled the subpackage and was able to build texlive-base with updated poppler, I would like to enable the "xindy" subpackage again but it fails to build.

However, this bug has been fixed, so I'm closing this one and will report new one for the xindy subpackage.


Btw, there was another issue of missing "synctex_version.h" header file because of which evince could not be built. I've backported a fix for this from upstream to rawhide and will push it to Fedora 29 as well once the build finishes.

Comment 9 Edward Sheldrake 2018-11-18 19:57:51 UTC
They were fixed, but they are broken again in texlive-lib-devel-20180414-27.fc29.x86_64

The .pc files are back to containing prefix=/builddir/build/BUILD/texlive-base-20180414/source/inst

The build log shows the sed command run on the .pc files was 's|/builddir/build/BUILD/texlive-base-svn47584/source/inst|/usr|g' which didn't match the content of the .pc files.

Comment 10 Tom "spot" Callaway 2018-11-26 17:59:10 UTC
*** Bug 1650906 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2018-11-26 19:50:41 UTC
texlive-base-20180414-28.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a496e9536c

Comment 12 Fedora Update System 2018-11-27 05:14:32 UTC
texlive-base-20180414-28.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a496e9536c

Comment 13 Fedora Update System 2018-11-28 02:42:44 UTC
texlive-base-20180414-28.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.